Package twisted :: Package conch :: Package ssh :: Module session

[frames | no frames]

## Module twisted.conch.ssh.session

This module contains the implementation of SSHSession, which (by default) allows access to a shell and a python interpreter over SSH.

This module is unstable.

Maintainer: Paul Swartz

Classes
`_DummyTransport` |
`_ProtocolWrapper` | This class wraps a Protocol instance in a ProcessProtocol instance.
`SSHSession` |
`SSHSessionClient` |
`SSHSessionProcessProtocol` |

Function Summary
| ``packRequest_pty_req`(term, (rows, cols, xpixel, ypixel), modes)` Pack a pty-req request so that it is suitable for sending.
| ``packRequest_window_change`((rows, cols, xpixel, ypixel))` Pack a window-change request so that it is suitable for sending.
| ``parseRequest_pty_req`(data)` Parse the data from a pty-req request into usable data.
| ``parseRequest_window_change`(data)` Parse the data from a window-change request into usuable data.
| `wrapProcessProtocol(inst)`
| `wrapProtocol(proto)`

Function Details

### packRequest_pty_req(term, (rows, cols, xpixel, ypixel), modes)

Pack a pty-req request so that it is suitable for sending.

NOTE: modes must be packed before being sent here.

### packRequest_window_change((rows, cols, xpixel, ypixel))

Pack a window-change request so that it is suitable for sending.

### parseRequest_pty_req(data)

Parse the data from a pty-req request into usable data.

  Returns:
    a tuple of (terminal type, (rows, cols, xpixel, ypixel), modes)

### parseRequest_window_change(data)

Parse the data from a window-change request into usuable data.

  Returns:
    a tuple of (rows, cols, xpixel, ypixel)

Generated by Epydoc 2.0 on Sat May 15 20:08:56 2004 | http://epydoc.sf.net